<div fxLayout="col">
  <div fxFlex="100%">

    <!--title-->
    <div fxLayout="row">
      <div fxFlex="40%">
        <h2>User account settings</h2>
      </div>

      <div fxFlex="60%" class="routingButtons">
        <button md-raised-button color="primary" class="button-strong-text" type="button" (click)="navigateToHome()">Go back to user list</button>
        <button md-raised-button color="primary" class="button-strong-text" type="button" (click)="navigateToGlobalSetting()">Global settings</button>
      </div>

    </div>


    <md-card>

      <!--Profile Details Title-->
      <div class="header">
        <div fxFlex="80%"> <span id="profile">Profile Details</span></div>
        <div fxFlex="20%" id="approved">
          <app-admin-user-approval [approved]="user?.approved" [userId]="userId" (stateChanged)="updateUseVersion()" [disabled]="submitting || reseting || disableAll">Loading
          </app-admin-user-approval>
        </div>
      </div>

      <!--User details shared component-->
      <div class="sharedCmp">
        <app-shared-profile [(user)]='user' [showRoleOptions]='userId' (isValid)='checkValid($event)' (picChanged)="updateUseVersion()"
          (active)="disableAll=$event" *ngIf="!loadingData">Loading...
        </app-shared-profile>
      </div>


      <div  class="buttons">

        <button color="primary" class="button-strong-text" md-raised-button (click)="resetPassword()" [disabled]="(reseting|| submitting || disableAll)" type="button">Reset password</button>

        <button color="primary" class="button-strong-text" md-raised-button type="button" (click)="onSubmit()" [disabled]="(!isProfileValid || submitting || reseting || disableAll)">Save changes</button>

        <div *ngIf="reseting || submitting">
          <md-spinner color="warn" class="small-md-spinner"></md-spinner>
        </div>


      </div>

    </md-card>

  </div>
</div>
